WebLogicJMSSessionPool (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicJMSSessionPool interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicJMSSessionPool

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebLogicJMSSessionPool

extends LogicalElement

Represents a WebLogic JMS Session Pool.

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  WLSJMSSP
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAcknowledgeMode()`
`java.lang.String` | `getConnectionFactory()`
`java.lang.String` | `getListenerClass()`
`java.lang.String` | `getName()`
`WebLogicJMSServer` | `getParent()`
`int` | `getSessionMaximum()`
`boolean` | `getTransacted()`
`boolean` | `hasAcknowledgeMode()`
`boolean` | `hasConnectionFactory()`
`boolean` | `hasListenerClass()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasSessionMaximum()`
`boolean` | `hasTransacted()`
`void` | `setAcknowledgeMode(java.lang.String s)`
`void` | `setConnectionFactory(java.lang.String s)`
`void` | `setListenerClass(java.lang.String s)`
`void` | `setName(java.lang.String s)`
`void` | `setParent(WebLogicJMSServer parent)`
`void` | `setSessionMaximum(int i)`
`void` | `setTransacted(boolean b)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebLogicJMSServer getParent()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setParent

    void setParent(WebLogicJMSServer parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

### getAcknowledgeMode

    java.lang.String getAcknowledgeMode()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAcknowledgeMode

    void setAcknowledgeMode(java.lang.String s)

### hasAcknowledgeMode

    boolean hasAcknowledgeMode()

### getConnectionFactory

    java.lang.String getConnectionFactory()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionFactory

    void setConnectionFactory(java.lang.String s)

### hasConnectionFactory

    boolean hasConnectionFactory()

### getListenerClass

    java.lang.String getListenerClass()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setListenerClass

    void setListenerClass(java.lang.String s)

### hasListenerClass

    boolean hasListenerClass()

### getSessionMaximum

    int getSessionMaximum()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSessionMaximum

    void setSessionMaximum(int i)

### hasSessionMaximum

    boolean hasSessionMaximum()

### getTransacted

    boolean getTransacted()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransacted

    void setTransacted(boolean b)

### hasTransacted

    boolean hasTransacted()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD